
%global meadversion 3.1.4
%global namedversion 3.1.4.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}stax2-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.1.4.redhat-1

Name:           %{?scl_prefix}stax2-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Stax2 API
Group:          Development/Java

%if %with mead
Source100: stax2-api-3.1.4.redhat-1-scm-sources.zip
Source102: stax2-api-3.1.4.redhat-1.jar
Source103: stax2-api-3.1.4.redhat-1-sources.jar
Source104: stax2-api-3.1.4.redhat-1-javadoc.jar
Source105: stax2-api-3.1.4.redhat-1.pom
Source106: stax2-api-3.1.4.redhat-1-project-sources.tar.gz
%endif

License:        The BSD License
URL:            http://wiki.fasterxml.com/WoodstoxStax2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/stax2-api-%{namedversion}-%{release}-root

%description
tax2 API is an extension to basic Stax 1.0 API that adds significant new
functionality, such as full-featured bi-direction validation interface and high-
performance Typed Access API.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for stax2-api
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n stax2-api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/stax2-api-%{namedversion}.jar %{buildroot}%{_javadir}/stax2-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/stax2-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/stax2-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/stax2-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/stax2-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/stax2-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/stax2-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/stax2-api-%{namedversion} -x META-INF/\*
%{__ln_s} stax2-api-%{namedversion} %{buildroot}%{_javadocdir}/stax2-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/VERSION
%{_javadir}/stax2-api-%{namedversion}.jar
%{_javadir}/stax2-api.jar
%if %with javadoc
%{_javadir}/stax2-api-%{namedversion}-javadoc.jar
%{_javadir}/stax2-api-javadoc.jar
%else
%exclude %{_javadir}/stax2-api-%{namedversion}-javadoc.jar
%exclude %{_javadir}/stax2-api-javadoc.jar
%endif
%{_javadir}/stax2-api-%{namedversion}-sources.jar
%{_javadir}/stax2-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/stax2-api-%{namedversion}
%{_javadocdir}/stax2-api
%endif

%changelog
* Fri Apr 24 2015 David Walluck <dwalluck@redhat.com> - 3.1.4-3.redhat_1.1
- rebuild for RHEL 6

* Thu Apr 09 2015 David Walluck <dwalluck@redhat.com> - 3.1.4-2.redhat_1.1
- build on el6 also

* Thu Apr 09 2015 David Walluck <dwalluck@redhat.com> - 3.1.4-1.redhat_1.1
- release

